div.dt-buttons {
  position: relative;
  float: left;
}

div.dt-buttons.buttons-right {
  float: right;
}

.buttons-columnVisibility:not(.active) {
  color: rgba(0, 0, 0, 0.37) !important;
}

div.dt-button-collection {
  position: absolute;
  overflow-y: scroll !important;
  max-height: 300px;
  top: 0;
  left: 0;
  width: 300px;
  margin-top: 3px;
  padding: 8px 8px 4px 8px;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, 0.4);
  background-color: white;
  overflow: hidden;
  z-index: 2002;
  border-radius: 5px;
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.3);
  -moz-column-gap: 8px;
  -ms-column-gap: 8px;
  -o-column-gap: 8px;
  column-gap: 8px;
}

div.dt-button-collection button.dt-button,
div.dt-button-collection div.dt-button,
div.dt-button-collection a.dt-button {
  position: relative;
  left: 0;
  right: 0;
  width: 100%;
  display: block;
  float: none;
  margin-bottom: 4px;
  margin-right: 0;
}

div.dt-button-collection.fixed {
  position: fixed;
  top: 50%;
  left: 50%;
  margin-left: -75px;
  border-radius: 0;
}

div.dt-button-collection.fixed.two-column {
  margin-left: -150px;
}

div.dt-button-collection.fixed.three-column {
  margin-left: -225px;
}

div.dt-button-collection.fixed.four-column {
  margin-left: -300px;
}

div.dt-button-collection > * {
  -moz-column-break-inside: avoid;
       break-inside: avoid;
}

div.dt-button-collection.two-column {
  width: 300px;
  padding-bottom: 1px;
  -moz-column-count: 2;
  -ms-column-count: 2;
  -o-column-count: 2;
  column-count: 2;
}

div.dt-button-collection.three-column {
  width: 450px;
  padding-bottom: 1px;
  -moz-column-count: 3;
  -ms-column-count: 3;
  -o-column-count: 3;
  column-count: 3;
}

div.dt-button-collection.four-column {
  width: 600px;
  padding-bottom: 1px;
  -moz-column-count: 4;
  -ms-column-count: 4;
  -o-column-count: 4;
  column-count: 4;
}

div.dt-button-collection .dt-button {
  border-radius: 0;
}

div.dt-button-background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  /* Fallback */
  /* IE10 Consumer Preview */
  /* Firefox */
  /* Opera */
  /* Webkit (Safari/Chrome 10) */
  /* Webkit (Chrome 11+) */
  background: radial-gradient(ellipse farthest-corner at center, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0.7) 100%);
  /* W3C Markup, IE10 Release Preview */
  z-index: 2001;
}

@media screen and (max-width: 640px) {
  div.dt-buttons {
    float: none !important;
    text-align: center;
  }
}

.dataTables_scrollBody tfoot tr {
  height: 0px !important;
}

.dataTables_scrollFoot table tr {
  border-top: 0px;
}

.dataTables_scrollHeadInner thead tr {
  border-bottom: 0px;
}

.dataTables_scrollBody thead tr {
  border: 0px;
}

.dropdown-item {
  background-color: white !important;
  color: black !important;
}

.dataTables_info {
  padding-top: 1.5em;
}

.search {
  float: right;
}

table {
  border-collapse: collapse;
  margin: 0px;
  width: 100%;
}

table td.dataTables_empty,
table th.dataTables_empty {
  text-align: center;
}

table tr {
  border-top: 1px;
  border-bottom: 1px;
  border-right: 0px;
  border-left: 0px;
  border-color: #d1d9ff;
  border-style: solid;
  background: white;
}

table tr.selected {
  background-color: #F5F5F5 !important;
}

table thead th {
  color: black !important;
  font-weight: 500;
  font-size: 12px;
  opacity: 0.54;
  height: 56px;
}

table tfoot th {
  height: 56px;
  color: black !important;
  font-weight: 500;
  font-size: 12px;
  height: 56px;
}

table th.sorting_desc,
table th.sorting_asc {
  opacity: 0.87;
}

table tbody tr:hover {
  background-color: #EEEEEE;
}

table td {
  color: black !important;
  font-size: 13px;
  opacity: 0.87;
  height: 48px;
}

table tbody td,
table tfoot th {
  border-color: #d1d9ff;
  padding-left: 16px;
  padding-right: 16px;
}

table thead th {
  border-color: #d1d9ff;
  padding-left: 16px;
  padding-right: 24px;
}

#dataTable thead tr th {
  cursor: pointer;
}

.dataTables_paginate {
  margin-top: 1em;
  float: right;
}

.dataTables_paginate .current {
  background-color: rgba(153, 153, 153, 0.4) !important;
}

button.mdc-button.disabled,
a.mdc-button.disabled {
  background-color: transparent;
  color: rgba(0, 0, 0, 0.38);
  color: var(--mdc-theme-text-disabled-on-light, rgba(0, 0, 0, 0.38));
  cursor: default;
  pointer-events: none;
}

a.mdc-button {
  text-decoration: none;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc,
table.dataTable thead .sorting_asc_disabled,
table.dataTable thead .sorting_desc_disabled {
  cursor: pointer;
  *cursor: hand;
  background-repeat: no-repeat;
  background-position: center right;
}

table.dataTable thead .sorting_asc {
  background-image: url("/images/sort_asc_m.png");
}

table.dataTable thead .sorting_desc {
  background-image: url("/images/sort_desc_m.png");
}

